----------------------------------------------------------------------------------
-- Company: c't-Lab
-- Engineer: Carsten Meyer
-- 
-- Create Date:    17:17:17 04/27/2008 
-- Design Name: 
-- Module Name:    MPX16 - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity pb_inmux is
    Port ( read_strobe: in STD_LOGIC;
			  SEL : in STD_LOGIC_VECTOR (3 downto 0);
           D0 : in  STD_LOGIC_VECTOR (7 downto 0);
           D1 : in  STD_LOGIC_VECTOR (7 downto 0);
           D2 : in  STD_LOGIC_VECTOR (7 downto 0);
           D3 : in  STD_LOGIC_VECTOR (7 downto 0);
           D4 : in  STD_LOGIC_VECTOR (7 downto 0);
           D5 : in  STD_LOGIC_VECTOR (7 downto 0);
           D6 : in  STD_LOGIC_VECTOR (7 downto 0);
           D7 : in  STD_LOGIC_VECTOR (7 downto 0);
           D8 : in  STD_LOGIC_VECTOR (7 downto 0);
           D9 : in  STD_LOGIC_VECTOR (7 downto 0);
           Q : out STD_LOGIC_VECTOR (7 downto 0) );
end pb_inmux;

architecture Behavioral of pb_inmux is

begin
	process begin  
		wait until (read_strobe'event and read_strobe = '1');
		case sel is
			when "0000" => Q <= D0;
			when "0001" => Q <= D1; 
			when "0010" => Q <= D2;
			when "0011" => Q <= D3;
			when "0100" => Q <= D4;
			when "0101" => Q <= D5; 
			when "0110" => Q <= D6;
			when "0111" => Q <= D7;
			when "1000" => Q <= D8;
			when "1001" => Q <= D9; 
			when others => Q <= x"00"; 
		end case;
	end process;
end Behavioral;

