VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1761
        SIGNAL adc_wert(15:8)
        SIGNAL XLXN_1779(7:0)
        SIGNAL SYSCLK
        SIGNAL TESTCLK
        SIGNAL TESTSIGNAL(7:0)
        SIGNAL XLXN_1788(7:0)
        SIGNAL XLXN_1790
        SIGNAL XLXN_1791
        SIGNAL level_count(15:0)
        SIGNAL Level(14)
        SIGNAL level_count(15)
        SIGNAL Level(13)
        SIGNAL adc_wert(15:0)
        SIGNAL FREQ(31:0)
        SIGNAL Level(15:0)
        SIGNAL RAMP(7:0)
        PORT Input SYSCLK
        PORT Output TESTCLK
        PORT Output TESTSIGNAL(7:0)
        PORT Input FREQ(31:0)
        PORT Output RAMP(7:0)
        BEGIN BLOCKDEF constant
            TIMESTAMP 2006 1 1 10 10 10
            RECTANGLE N 0 0 112 64 
            LINE N 144 32 112 32 
        END BLOCKDEF
        BEGIN BLOCKDEF cb4ce
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -512 320 -64 
            LINE N 0 -32 64 -32 
            LINE N 0 -128 64 -128 
            LINE N 384 -256 320 -256 
            LINE N 384 -320 320 -320 
            LINE N 384 -384 320 -384 
            LINE N 384 -448 320 -448 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 384 -128 320 -128 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 0 -192 64 -192 
            LINE N 384 -192 320 -192 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF sinus_generator
            TIMESTAMP 2009 6 7 18 10 16
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 432 -172 496 -148 
            LINE N 432 -160 496 -160 
            RECTANGLE N 64 -192 432 64 
            RECTANGLE N 432 20 496 44 
            LINE N 432 32 496 32 
        END BLOCKDEF
        BEGIN BLOCKDEF add8
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 336 -128 336 -148 
            LINE N 384 -128 336 -128 
            LINE N 64 -288 64 -432 
            LINE N 128 -256 64 -288 
            LINE N 64 -224 128 -256 
            LINE N 64 -80 64 -224 
            LINE N 384 -160 64 -80 
            LINE N 384 -336 384 -160 
            LINE N 384 -352 384 -336 
            LINE N 64 -432 384 -352 
            LINE N 128 -448 64 -448 
            LINE N 128 -416 128 -448 
            LINE N 0 -448 64 -448 
            RECTANGLE N 384 -268 448 -244 
            LINE N 448 -256 384 -256 
            LINE N 0 -192 64 -192 
            LINE N 0 -320 64 -320 
            RECTANGLE N 0 -332 64 -308 
            RECTANGLE N 0 -204 64 -180 
            LINE N 240 -64 384 -64 
            LINE N 240 -124 240 -64 
            LINE N 448 -64 384 -64 
            LINE N 448 -128 384 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF fd8ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            RECTANGLE N 320 -268 384 -244 
            RECTANGLE N 0 -268 64 -244 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF cb16ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 384 -192 320 -192 
            RECTANGLE N 320 -268 384 -244 
            LINE N 384 -256 320 -256 
            LINE N 0 -192 64 -192 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 384 -128 320 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1014 cb4ce
            PIN C SYSCLK
            PIN CE XLXN_1761
            PIN CLR
            PIN CEO
            PIN Q0
            PIN Q1
            PIN Q2 TESTCLK
            PIN Q3
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_1015 vcc
            PIN P XLXN_1761
        END BLOCK
        BEGIN BLOCK XLXI_1019 add8
            PIN A(7:0) adc_wert(15:8)
            PIN B(7:0) XLXN_1779(7:0)
            PIN CI
            PIN CO
            PIN OFL
            PIN S(7:0) XLXN_1788(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_1020 constant
            BEGIN ATTR CValue "80"
                DELETE all:1 sym:0
                EDITNAME all:1 sch:0
                VALUETYPE BitVector 32 Hexadecimal
            END ATTR
            PIN O XLXN_1779(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_1024 vcc
            PIN P XLXN_1790
        END BLOCK
        BEGIN BLOCK XLXI_1025 fd8ce
            PIN C XLXN_1791
            PIN CE XLXN_1790
            PIN CLR
            PIN D(7:0) XLXN_1788(7:0)
            PIN Q(7:0) TESTSIGNAL(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_1028 inv
            PIN I SYSCLK
            PIN O XLXN_1791
        END BLOCK
        BEGIN BLOCK XLXI_1029 cb16ce
            PIN C TESTCLK
            PIN CE XLXN_1761
            PIN CLR
            PIN CEO
            PIN Q(15:0) level_count(15:0)
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_1030 buf
            PIN I level_count(15)
            PIN O Level(14)
        END BLOCK
        BEGIN BLOCK XLXI_1033 inv
            PIN I level_count(15)
            PIN O Level(13)
        END BLOCK
        BEGIN BLOCK XLXI_1018 sinus_generator
            PIN takt SYSCLK
            PIN d_phase(31:0) FREQ(31:0)
            PIN dac_pegel(15:0) Level(15:0)
            PIN dac_wert(15:0) adc_wert(15:0)
            PIN ramp(7:0) RAMP(7:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE XLXI_1014 864 1760 R0
        INSTANCE XLXI_1015 688 1488 R0
        BEGIN BRANCH XLXN_1761
            WIRE 752 1488 752 1568
            WIRE 752 1568 864 1568
            WIRE 752 1568 752 2160
            WIRE 752 2160 1520 2160
        END BRANCH
        INSTANCE XLXI_1019 1840 1312 R0
        BEGIN BRANCH adc_wert(15:8)
            WIRE 1792 992 1840 992
            BEGIN DISPLAY 1792 992 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_1779(7:0)
            WIRE 1808 1120 1840 1120
        END BRANCH
        BEGIN INSTANCE XLXI_1020 1664 1088 R0
        END INSTANCE
        BEGIN BRANCH TESTSIGNAL(7:0)
            WIRE 3072 1056 3168 1056
        END BRANCH
        IOMARKER 3168 1056 TESTSIGNAL(7:0) R0 28
        BEGIN BRANCH XLXN_1788(7:0)
            WIRE 2288 1056 2688 1056
        END BRANCH
        IOMARKER 3168 1440 TESTCLK R0 28
        BEGIN BRANCH XLXN_1790
            WIRE 2592 800 2592 1120
            WIRE 2592 1120 2688 1120
        END BRANCH
        INSTANCE XLXI_1025 2688 1312 R0
        INSTANCE XLXI_1024 2528 800 R0
        BEGIN BRANCH SYSCLK
            WIRE 448 896 560 896
            WIRE 560 896 560 1632
            WIRE 560 1632 864 1632
            WIRE 560 1632 560 1792
            WIRE 560 1792 2368 1792
            WIRE 560 896 832 896
            WIRE 2368 1184 2432 1184
            WIRE 2368 1184 2368 1792
        END BRANCH
        BEGIN BRANCH XLXN_1791
            WIRE 2656 1184 2688 1184
        END BRANCH
        INSTANCE XLXI_1028 2432 1216 R0
        BEGIN BRANCH TESTCLK
            WIRE 1248 1440 1456 1440
            WIRE 1456 1440 3168 1440
            WIRE 1456 1440 1456 2224
            WIRE 1456 2224 1520 2224
        END BRANCH
        INSTANCE XLXI_1029 1520 2352 R0
        BEGIN BRANCH level_count(15:0)
            WIRE 1904 2096 1936 2096
            BEGIN DISPLAY 1936 2096 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN DISPLAY 1708 588 TEXT "erzeugt Sinus-Bursts"
            FONT 56 "Arial"
        END DISPLAY
        INSTANCE XLXI_1030 2576 2128 R0
        BEGIN BRANCH Level(14)
            WIRE 2800 2096 2880 2096
            BEGIN DISPLAY 2880 2096 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_1033 2576 2240 R0
        BEGIN BRANCH level_count(15)
            WIRE 2400 2096 2496 2096
            WIRE 2496 2096 2576 2096
            WIRE 2496 2096 2496 2208
            WIRE 2496 2208 2576 2208
            BEGIN DISPLAY 2400 2096 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Level(13)
            WIRE 2800 2208 2832 2208
            BEGIN DISPLAY 2832 2208 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_1018 832 1056 R0
        END INSTANCE
        BEGIN BRANCH adc_wert(15:0)
            WIRE 1328 896 1360 896
            BEGIN DISPLAY 1360 896 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH FREQ(31:0)
            WIRE 448 960 832 960
        END BRANCH
        BEGIN BRANCH Level(15:0)
            WIRE 800 1024 832 1024
            BEGIN DISPLAY 800 1024 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        IOMARKER 448 896 SYSCLK R180 28
        IOMARKER 448 960 FREQ(31:0) R180 28
        BEGIN BRANCH RAMP(7:0)
            WIRE 1328 1088 1360 1088
        END BRANCH
        IOMARKER 1360 1088 RAMP(7:0) R0 28
    END SHEET
END SCHEMATIC
